//
//   COMPONENT_NAME: somd
//
//   ORIGINS: 27
//
//
//    25H7912  (C)  COPYRIGHT International Business Machines Corp. 1992,1996,1996  
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
//# @(#) 1.6.1.7 src/somd/servmgr.idl, somd, som3.0 9/26/96 14:02:13 [12/22/96 21:27:39]





#ifndef servmgr_idl
#define servmgr_idl

#include <somobj.idl>
#include <somdtype.idl>
 
interface ImplementationDef;

interface SOMDServerMgr : SOMObject
{
 
  ORBStatus somdShutdownServer(in string server_alias);
  // Responsibility of caller to ensure that the server is finished
  // processing requests before invoking somdShutdownServer.
 
  ORBStatus somdShutdownImpl(in ImplementationDef impldef);

  ORBStatus somdStartServer(in string server_alias);

  ORBStatus somdRestartServer(in string server_alias);

  ORBStatus somdListServer(in string server_alias);

  ORBStatus somdDisableServer(in string server_alias);

  ORBStatus somdEnableServer(in string server_alias);

  boolean  somdIsServerEnabled(in ImplementationDef impldef);

#ifdef __SOMIDL__

  implementation
  {
    releaseorder: somdShutdownServer, somdStartServer, somdRestartServer,
		  somdListServer, somdDisableServer, somdEnableServer, 
	          somdIsServerEnabled, somdShutdownImpl;

    //# Class Modifiers
    callstyle = idl;
    dllname = "somd.dll";
    majorversion = 2;
    minorversion = 1;
  
  };

#endif /* __SOMIDL__ */

};

#endif  /* servmgr_idl */
